=== libcruft/blas-xtra/Makefile ===
# Makefile for octave's libcruft/blas-xtra directory
#
# Copyright (C) 2000, 2007, 2008 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES)

FSRC = xddot.f xdnrm2.f xdznrm2.f xzdotc.f xzdotu.f \
	xsdot.f xsnrm2.f xscnrm2.f xcdotc.f xcdotu.f \
	xerbla.f

include $(TOPDIR)/Makeconf

include ../Makerules
