=== debian/control ===
Source: octave
Section: usr/math
Priority: optional
XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
DM-Upload-Allowed: yes
Build-Depends: fort77, debhelper, autoconf, texinfo,
 libreadline-dev | libreadline6-dev | libreadline5-dev,
 libncurses5-dev, gperf, libsuitesparse-dev, liblapack-dev, libode-dev, libqhull-dev,
 libblas-dev, libfftw3-dev, texi2html,
 less, quilt, libpcre3-dev, flex, gawk, desktop-file-utils
Standards-Version: 3.8.2
Homepage: http://www.octave.org/

Package: octave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version})
Recommends: gnuplot, libatlas3gf-base
Suggests: octave-info,
 octave-headers (= ${binary:Version}),
Replaces: octave (<= 2.0.16-2)
Conflicts: octave (<= 2.0.16-2), octave2.9 (<< 1:3)
Provides: octave
Breaks: octave-ad (<< 1.0.4-2), octave-audio (<< 1.1.2-2),
 octave-bioinfo (<< 0.1.1-2), octave-combinatorics (<< 1.0.7-2),
 octave-communications (<< 1.0.8-2), octave-control (<< 1.0.7-2),
 octave-data-smoothing (<< 1.1.1-2), octave-econometrics (<< 1:1.0.7-3),
 octave-financial (<< 0.3.0-2), octave-fixed (<< 0.7.8-3),
 octave-ftp (<< 1.0.1-3), octave-ga (<< 0.9.4-2), octave-general (<< 1.0.7-2),
 octave-graceplot (<< 1.0.6-2), octave-gsl (<< 1.0.7-2),
 octave-ident (<< 1.0.6-2), octave-image (<< 1.0.8-2),
 octave-informationtheory (<< 0.1.6-2), octave-io (<< 1.0.7-2),
 octave-irsa (<< 1.0.6-2), octave-linear-algebra (<< 1.0.6-2),
 octave-miscellaneous (<< 1.0.7-2), octave-missing-functions (<< 1.0.1-2),
 octave-nan (<< 1.0.7-2), octave-nnet (<< 0.1.8-2),
 octave-octcdf (<< 1.0.11-2), octave-octgpr (<< 1.1.4-3),
 octave-odebvp (<< 1.0.5-2), octave-odepkg (<< 0.6.4-2),
 octave-optim (<< 1.0.4-2), octave-optiminterp (<< 0.3.2-1),
 octave-outliers (<< 0.13.8-2), octave-parallel (<< 1.0.7-2),
 octave-physicalconstants (<< 0.1.6-2), octave-plot (<< 1.0.6-2),
 octave-signal (<< 1.0.8-2), octave-sockets (<< 1.0.5-2),
 octave-specfun (<< 1.0.7-2), octave-splines (<< 1.0.6-2),
 octave-statistics (<< 1.0.7-1), octave-strings (<< 1.0.6-2),
 octave-struct (<< 1.0.6-2), octave-symbolic (<< 1.0.7-2),
 octave-time (<< 1.0.8-2), octave-tsa (<< 4.0.0-2), octave-vrml (<< 1.0.8-2),
 octave-zenity (<< 0.5.6-2)
Description: GNU Octave language for numerical computations (3.0 branch)
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave uses some of the best and most respected numerical libraries as
 balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
 ranlib, slatec-fn and villad. Octave can be dynamically extended with
 user-supplied C++ files.

Package: octave-headers
Architecture: any
Depends: octave (= ${binary:Version}), ${misc:Depends},
 libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev, 
 libhdf5-serial-dev (>= 1.6.5)
 | libhdf5-lam-dev (>= 1.6.5) | libhdf5-mpich-dev (>= 1.6.5) | libhdf5-openmpi-dev (>= 1.6.5),
 libblas-dev, liblapack-dev, libfftw3-dev, gfortran, gcc, g++, f2c [m68k]
Conflicts: octave-headers (<< 2.1), octave2.9-headers (<< 1:3)
Provides: octave-headers
Replaces: octave-headers
Description: header files for the GNU Octave language (3.0 branch)
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the include files needed to compile and link
 user-supplied code with GNU Octave. If you only write interpreted .m files,
 you do not need this package.
 .
 The package is architecture-specific as it contains machine-dependent
 compiler switches in the mkoctfile script.


Package: octave-dbg
Section: debug
Priority: extra
Architecture: any
Depends: octave (=${binary:Version}), ${misc:Depends}
Description: Debug symbols for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave uses some of the best and most respected numerical libraries as
 balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
 ranlib, slatec-fn and villad. Octave can be dynamically extended with
 user-supplied C++ files.
 .
 This package provides the debug symbols.

Package: octave-common
Depends: ${misc:Depends}
Section: devel
Priority: extra
Architecture: all
Description: architecture-independent files for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave uses some of the best and most respected numerical libraries as
 balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
 ranlib, slatec-fn and villad. Octave can be dynamically extended with
 user-supplied C++ files.
 .
 This package provides the architecture-independent files (Octave scripts
 and other helper files).
